Opened 4 years ago

Closed 4 years ago

#99 closed task (fixed)

Host old versions of ftputil on PyPI

Reported by: schwa Owned by: schwa
Priority: major Milestone:
Component: Other Version:
Keywords: PEP 470 Cc:

Description (last modified by schwa)

On 2015-09-24, I got the following mail:

Hello sschwarzer!

Please forgive me if this is the second (or third... I swear I tested it fully
this time!) copy you've received of this message, a bug has forced us to
resend the batch. Sorry for the extra noise D:

This is an automated message because you are listed as an owner or maintainer
of the following projects on PyPI:

* ftputil
* websourcebrowser

Due to the acceptance of PEP 470, PyPI is going to remove the ability for a
project to host it's files somewhere other than on PyPI, but still have PyPI
instruct installers (such as pip) to go and fetch this file automatically.
PEP 470 removes this feature and any project relying on it will need to either
be moved to hosting on PyPI or, if you wish to continue to host it externally,
you'll need to host your own repository and instruct your users to add that
repository to their installer. To give you time to adjust, this change will not
happen for 3 months, but after that 3 month deadline has expired, unless you
act some or all of the files for the above projects will no longer be found by
automated installers.

If you wish, there is a script available at https://pypi.python.org/pypi/pep470
which can be used to automatically migrate any of the affected files for your
own projects to PyPI.

If you wish to continue to host your files yourself instead of uploading them
to PyPI, then you should follow the instructions at
https://packaging.python.org/en/latest/self_hosted_repository/.

If you have any questions about the migration, please first check the FAQ at
https://github.com/pypa/pep470/wiki/Frequently-Asked-Questions which will be
updated with any questions and answers that come up during the migration
process.

Here are all of the links that we've discovered for each project of yours which
are not currently hosted on PyPI:

ftputil:
    http://ftputil.sschwarzer.net/trac/attachment/wiki/Download/ftputil-2.1.1.tar.gz?format=raw
    http://ftputil.sschwarzer.net/trac/attachment/wiki/Download/ftputil-2.1.tar.gz?format=raw
    http://ftputil.sschwarzer.net/trac/attachment/wiki/Download/ftputil-2.2.1.tar.gz?format=raw
    http://ftputil.sschwarzer.net/trac/attachment/wiki/Download/ftputil-2.2.2.tar.gz?format=raw
    http://ftputil.sschwarzer.net/trac/attachment/wiki/Download/ftputil-2.2.3.tar.gz?format=raw
    http://ftputil.sschwarzer.net/trac/attachment/wiki/Download/ftputil-2.2.4.tar.gz?format=raw
    http://ftputil.sschwarzer.net/trac/attachment/wiki/Download/ftputil-2.2.tar.gz?format=raw
    http://ftputil.sschwarzer.net/trac/attachment/wiki/Download/ftputil-2.3.tar.gz?format=raw
    http://ftputil.sschwarzer.net/trac/attachment/wiki/Download/ftputil-2.4.1.tar.gz?format=raw
    http://ftputil.sschwarzer.net/trac/attachment/wiki/Download/ftputil-2.4.2.tar.gz?format=raw
    http://ftputil.sschwarzer.net/trac/attachment/wiki/Download/ftputil-2.4.tar.gz?format=raw
    http://ftputil.sschwarzer.net/trac/attachment/wiki/Download/ftputil-2.5.tar.gz?format=raw
    http://ftputil.sschwarzer.net/trac/attachment/wiki/Download/ftputil-2.6.tar.gz?format=raw
    http://ftputil.sschwarzer.net/trac/attachment/wiki/Download/ftputil-2.7.1.tar.gz?format=raw
    http://ftputil.sschwarzer.net/trac/attachment/wiki/Download/ftputil-2.7.tar.gz?format=raw
    http://ftputil.sschwarzer.net/trac/attachment/wiki/Download/ftputil-2.8.tar.gz?format=raw
    http://www.sschwarzer.net/download/ftputil-2.0.1.tar.gz
    http://www.sschwarzer.net/download/ftputil-2.0.2.tar.gz
    http://www.sschwarzer.net/download/ftputil-2.0.3.tar.gz
    http://www.sschwarzer.net/download/ftputil-2.0.tar.gz

websourcebrowser:
    http://websourcebrowser.sschwarzer.net/trac/attachment/wiki/Download/websourcebrowser-0.4a.tar.gz?format=raw

Thanks for your time!

Donald Stufft
PyPI Administrator

The mentioned PEP 470 suggests that packages listed on PyPI should also be hosted there. The PEP gives good reasons for this.

I soon should make sure that the above mentioned packages are uploaded to PyPI.

The links http://www.sschwarzer.net/download/ftputil-*.tar.gz actually don't work and have to be changed to the ftputil site download page. The download page goes back to version 2.0.2. I guess I won't provide downloads for the older versions.

The download link for Websourcebrowser works (although the project is effectively unmaintained).

Change History (3)

comment:1 Changed 4 years ago by schwa

Status: newassigned

comment:2 Changed 4 years ago by schwa

Description: modified (diff)

comment:3 Changed 4 years ago by schwa

Resolution: fixed
Status: assignedclosed

Thanks to the provided script I uploaded the ftputil packages back to version 2.0.2 to PyPI. I have no older packages immediately available although I could probably get and build them via version control. However, since the releases happened over 10 years ago and nobody asked for the "missing" files in all the years, I don't think it's worth the time to build and upload these ancient packages.

(I also uploaded the two most recent websourcebrowser packages.)

Note: See TracTickets for help on using tickets.